## autodeb 0.20.0

=== Makefile ===
.PHONY: all
all: fmt \
	list-packages-with-newer-upstream-versions \
	autodeb-server \
	autodeb-worker \
	vet \
	lint \
	data

SOURCEDIR=.
SOURCES := $(shell find $(SOURCEDIR) -name '*.go') Makefile

GO_IMPORT_PATH := salsa.debian.org/autodeb-team/autodeb

list-packages-with-newer-upstream-versions: $(SOURCES) install
	go build -v -o list-packages-with-newer-upstream-versions ${GO_IMPORT_PATH}/cmd/list-packages-with-newer-upstream-versions


autodeb-server: $(SOURCES) install
	go build -v -o autodeb-server ${GO_IMPORT_PATH}/cmd/autodeb-server

autodeb-worker: $(SOURCES) install
	go build -v -o autodeb-worker ${GO_IMPORT_PATH}/cmd/autodeb-worker

data:
	mkdir data

.PHONY: test-coverage
test-coverage: GO_TEST_ARGS=-coverpkg=${GO_IMPORT_PATH}/... -covermode=atomic -coverprofile=coverage.txt
test-coverage: test

.PHONY: test
test:
	go test ${GO_TEST_ARGS} -v ${GO_IMPORT_PATH}/...

.PHONY: vet
vet: install
	go vet ${GO_IMPORT_PATH}/...

.PHONY: install
install:
	go install ${GO_IMPORT_PATH}/...

.PHONY: lint
lint:
	${GOPATH}/bin/golint ${GO_IMPORT_PATH}/...

.PHONY: fmt
fmt:
	go fmt ${GO_IMPORT_PATH}/...


.PHONY: get-deps
get-deps:
	go get -t ${GO_IMPORT_PATH}/...

.PHONY: clean
clean:
	# Binaries
	rm -f list-packages-with-newer-upstream-versions
	rm -f autodeb-server
	rm -f autodeb-worker

	# test coverage
	rm -f coverage.txt

	# Other things created by this Makefile
	rm -rf data
	rm -f dependency-graph-*.svg

	# stuff created at runtime
	rm -rf jobs
	rm -f database.sqlite

##
## Misc
##

.PHONY: dependency-graphs
dependency-graphs:
	# This would also work:
	#    go get github.com/davecheney/graphpkg
	#    $(GOPATH)/bin/graphpkg -stdout -match '$(GO_IMPORT_PATH)' $(GO_IMPORT_PATH)/cmd/autodeb-server > dependency-graph-autodeb-server.svg
	go get github.com/kisielk/godepgraph
	$(GOPATH)/bin/godepgraph -o $(GO_IMPORT_PATH)/internal/server $(GO_IMPORT_PATH)/internal/server | dot -Tsvg > dependency-graph-server.svg
	$(GOPATH)/bin/godepgraph -o $(GO_IMPORT_PATH)/internal/worker $(GO_IMPORT_PATH)/internal/worker | dot -Tsvg > dependency-graph-worker.svg
	$(GOPATH)/bin/godepgraph -o $(GO_IMPORT_PATH) $(GO_IMPORT_PATH)/cmd/autodeb-server | dot -Tsvg > dependency-graph-autodeb-server.svg
	$(GOPATH)/bin/godepgraph -o $(GO_IMPORT_PATH) $(GO_IMPORT_PATH)/cmd/autodeb-worker | dot -Tsvg > dependency-graph-autodeb-worker.svg

=== debian/changelog ===
autodeb (0.20.0-1) unstable; urgency=medium

  * New upstream version.

 -- Alexandre Viau <aviau@debian.org>  Sun, 22 Jul 2018 13:57:19 -0400

autodeb (0.17.3-1) unstable; urgency=medium

  * New upstream version.

 -- Alexandre Viau <aviau@debian.org>  Sat, 14 Jul 2018 02:42:17 -0400

autodeb (0.17.2-1) unstable; urgency=medium

  * New upstream version.

 -- Alexandre Viau <aviau@debian.org>  Sat, 14 Jul 2018 02:35:05 -0400

autodeb (0.17.1-1) unstable; urgency=medium

  * New upstream version.

 -- Alexandre Viau <aviau@debian.org>  Sat, 14 Jul 2018 01:23:36 -0400

autodeb (0.17.0-1) unstable; urgency=medium

  * New upstream version.

 -- Alexandre Viau <aviau@debian.org>  Sat, 14 Jul 2018 01:11:54 -0400

autodeb (0.16.2-1) unstable; urgency=medium

  * New upstream version.

 -- Alexandre Viau <aviau@debian.org>  Thu, 12 Jul 2018 00:14:42 -0400

autodeb (0.16.1-1) unstable; urgency=medium

  * New upstream version.
  * Remove quilt dependency.

 -- Alexandre Viau <aviau@debian.org>  Wed, 11 Jul 2018 23:48:57 -0400

autodeb (0.15.1-1) unstable; urgency=medium

  * New upstream version.

 -- Alexandre Viau <aviau@debian.org>  Sun, 01 Jul 2018 01:46:09 -0400

autodeb (0.15.0-2) unstable; urgency=medium

  * autodeb-worker: depend on quilt.

 -- Alexandre Viau <aviau@debian.org>  Sun, 01 Jul 2018 01:05:19 -0400

autodeb (0.15.0-1) unstable; urgency=medium

  * New upstream version.

 -- Alexandre Viau <aviau@debian.org>  Sun, 01 Jul 2018 00:38:49 -0400

autodeb (0.14.1-1) unstable; urgency=medium

  * New upstream version.
  * d/control: golang-pault-go-debian-dev (>= 0.9)

 -- Alexandre Viau <aviau@debian.org>  Fri, 29 Jun 2018 16:09:09 -0400

autodeb (0.13.0-1) unstable; urgency=medium

  * New upstream version.

 -- Alexandre Viau <aviau@debian.org>  Tue, 19 Jun 2018 01:26:40 -0400

autodeb (0.12.2-2) unstable; urgency=medium

  * Worker: depend on autopkgtest and autodep8.

 -- Alexandre Viau <aviau@debian.org>  Tue, 19 Jun 2018 01:07:34 -0400

autodeb (0.12.2-1) unstable; urgency=medium

  * New upstream version.

 -- Alexandre Viau <aviau@debian.org>  Mon, 18 Jun 2018 23:02:45 -0400

autodeb (0.11.0-1) unstable; urgency=medium

  * New upstream version.

 -- Alexandre Viau <aviau@debian.org>  Sat, 16 Jun 2018 19:44:28 -0400

autodeb (0.10.1-1) unstable; urgency=medium

  * New upstream version.

 -- Alexandre Viau <aviau@debian.org>  Sun, 10 Jun 2018 22:15:54 -0400

autodeb (0.10.0-1) unstable; urgency=medium

  * New upstream version.

 -- Alexandre Viau <aviau@debian.org>  Sun, 10 Jun 2018 21:33:53 -0400

autodeb (0.9.1-1) unstable; urgency=medium

  * New upstream version.
  * Adapt to new configuration files.

 -- Alexandre Viau <aviau@debian.org>  Sat, 02 Jun 2018 16:52:54 -0400

autodeb (0.7.0-1) unstable; urgency=medium

  * Initial release (Closes: #645467)

 -- Alexandre Viau <aviau@debian.org>  Sat, 26 May 2018 13:58:06 -0400

=== debian/control ===
Source: autodeb
Section: net
Priority: optional
Maintainer: Alexandre Viau <aviau@debian.org>
Build-Depends: debhelper (>= 11),
               dh-golang,
               golang-any,
               golang-github-gorilla-mux-dev,
               golang-github-jinzhu-gorm-dev,
               golang-github-pkg-errors-dev,
               golang-github-spf13-afero-dev,
               golang-github-stretchr-testify-dev,
               golang-github-sirupsen-logrus-dev,
               golang-golang-x-sys-dev,
               golang-github-gorilla-sessions-dev,
               golang-golang-x-oauth2-dev,
               golang-golang-x-crypto-dev,
               golang-github-burntsushi-toml-dev,
               golang-pault-go-debian-dev (>= 0.9)
Standards-Version: 4.1.3
Homepage: https://salsa.debian.org/autodeb-team/autodeb
Vcs-Browser: https://salsa.debian.org/autodeb-team/autodeb-packaging
Vcs-Git: https://salsa.debian.org/autodeb-team/autodeb-packaging.git
XS-Go-Import-Path: salsa.debian.org/autodeb-team/autodeb
Testsuite: autopkgtest-pkg-go

Package: autodeb-server
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${misc:Depends},
         ${shlibs:Depends},
         adduser
Description: main server for autodeb
 Autodeb is a service that provides a way to test Debian source packages.
 It empowers Debian Developers by giving them easy access to more rigorous
 testing before they upload a package to the archive. It runs tests that
 Debian Developers don’t necessarily run because of lack of time and
 resources.
 .
 This package contains the main server.

Package: autodeb-worker
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${misc:Depends},
         ${shlibs:Depends},
         adduser,
         sbuild,
         autopkgtest,
         autodep8,
         devscripts
Description: runs autodeb jobs
 Autodeb is a service that provides a way to test Debian source packages.
 It empowers Debian Developers by giving them easy access to more rigorous
 testing before they upload a package to the archive. It runs tests that
 Debian Developers don’t necessarily run because of lack of time and
 resources.
 .
 This package contains the worker.

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_INSTALL_EXTRA := web

override_dh_auto_install:
	dh_auto_install -- --no-source
%:
	dh $@ --buildsystem=golang --with=golang

=== debian/watch ===
version=4
  https://salsa.debian.org/autodeb-team/autodeb/tags .*autodeb-v?([.\d]+)\.tar\.gz
